System.Web 2.0.0.0 System.Object

A object represents an error that is created when an exception is thrown. A parser error object can contain error message text, a virtual path to the file where the error occurred, and the subsequent line number of the error in that file. If more than one parser error occurs or you want to store multiple parser errors in a centralized location, use the object.

A parser error is of the type . For more information on exceptions and how to handle them, go to MSDN Library.

Represents a parser error or warning. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor

  Use the constructor to initialize a object with custom settings. The constructor has the following properties:

  The property, which is a string containing the error message that is related to the parser error.

  The property, which is a read-only string that specifies the virtual path of the file that contains the parser error.

  The property, which is the line number within the file at which this object was thrown.

  Initializes a new instance of the class by using the specified error text, virtual path, and source line number.

  The error message text.
  The virtual path of the file being parsed when the error occurred.
  The line number of the error source.
  2.0.0.0
- Property
  System.String To be added.

  Use the property to provide a programmer-defined error message for parser errors for display in a object.

  Gets or sets a string that represents the error for the object.

  2.0.0.0
- Property
  System.Int32 To be added.

  The property is the line number within the file at which this object was thrown.

  Gets or sets the line number of the source at which the error occurs.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or set the virtual path of the file that was being parsed when the error occurred.

  2.0.0.0